# cPy - Creating a class-diagram from a python module
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2026-05-31  initial release

# Requirements:
#   install graphviz for dot application:
#       opensuse: # zypper inj graphviz
#       windows : see https://graphviz.org/
#   install pylint for pyreverse
#       (venv) pip install pylint
#
# (venv) cd script directory
# (venv) pyreverse class_diagram    (class_diagram.py is module to analize)
#           --> classes.dot
# (venv) dot -Tsvg classes.dot -o classes.svg
#    or
# (venv) dot -Tpng classes.dot -o classes.png

# ======================== test module =========================

class MyClass:
    
    def __init__(self):
        self.attr_1 = 123
        self.attr_2 = 1.3
        self.attr_3 = '123'
        
        
    def meth1(self, start=5):
        ...
        
        
    def _meth2(self):
        ...
        

class Test:
    
    def __init__(self):
        self.link = MyClass()
        
        
test = Test()

# ============================ end =============================
